Jump to content
paulina.styrczula

Obtaining the section modulus.( for a beginner)

Recommended Posts

paulina.styrczula
Posted (edited)

Hello, i was searching all day a way to determinig the section modulus of the hollow core slab statical moment. I'm now angry and devastated cause i spent the whole day for founding the solution. Now i've found your autocalisp on the forum -> but dont understand how to use it in reality.i'm attaching my file in the autocad in case you would like to help me. my the whole group of students dunno how to manage so i will help them to ..if you do

hollow Lina.dwg

Edited by paulina.styrczula

Share this post


Link to post
Share on other sites
BIGAL

Is this usefull been a long time since I did section modulus.

 

Massprop

 ----------------   REGIONS   ----------------

Area:                    31415.9265
Perimeter:               628.3185
Bounding box:         X: 5545.0335  --  5745.0335
                      Y: -517.6017  --  -317.6017
Centroid:             X: 5645.0335
                      Y: -417.6017
Moments of inertia:   X: 5557199768.3917
                      Y: 1.0012E+12
Product of inertia:  XY: 74059135048.1632
Radii of gyration:    X: 420.5843
                      Y: 5645.2550
Principal moments and X-Y directions about centroid:
                      I: 78539816.3397 along [0.9991 0.0421]
                      J: 78539816.3394 along [-0.0421 0.9991]

Share this post


Link to post
Share on other sites
paulina.styrczula

but there isnt any reference to the section of modulus (first moment of inertia or statical moment). i am attaching the file without any structural complications ( just the section of which i want to obtain the section of modulus)

hollowslabLina.dwg

Share this post


Link to post
Share on other sites
Tharwat

Hi,

Something like this?

(defun c:Test (/ sel)
  (princ "\nSelect Region object to get Moment of Inertia :")
  (if (setq sel (ssget "_+.:S:E" '((0 . "REGION"))))
    (princ
      (strcat "Moment of Inertia is : "
              (vl-princ-to-string
                (vlax-get (vlax-ename->vla-object (ssname sel 0))
                          'momentofInertia
                )
              )
      )
    )
    (alert "Invlaid object. Please select Region object.")
  )
  (princ)
) (vl-load-com)

 

Share this post


Link to post
Share on other sites
paulina.styrczula

but what should i do with this? i assumed taht to paste this in the command line and to mark previously my object but nothing shows...

 

Share this post


Link to post
Share on other sites
Tharwat
2 minutes ago, paulina.styrczula said:

but what should i do with this? i assumed taht to paste this in the command line and to mark previously my object but nothing shows...

 

Copy the codes to a notepad file then save it with the extension of .lsp the open AutoCAD then call the command APPLOAD or AP then select the previously created lisp file.

Finally type the command Test to start.

Share this post


Link to post
Share on other sites
paulina.styrczula

Everything seems to be clear. but i have an error, just after clicking on the 'load' and  then on 'close'

dunno.png

dunno1.jpg

Share this post


Link to post
Share on other sites
Tharwat

How come the file itself does have a name?

Share this post


Link to post
Share on other sites
Tharwat

It seems that you could not create the file correctly so please use the one in the attachments down here.

Test.LSP

Share this post


Link to post
Share on other sites
paulina.styrczula

alright, ive used your file.But still nothing shows up.But there's a development-no errors. 

test.png

Share this post


Link to post
Share on other sites
Tharwat

Now you need to call the command TEST then select the region object.

Share this post


Link to post
Share on other sites
paulina.styrczula
Posted (edited)

omg i have it !!! Does this moment of inertia show up in tghe cpommand line?

Edited by paulina.styrczula

Share this post


Link to post
Share on other sites
Tharwat
3 minutes ago, paulina.styrczula said:

omg i have it !!! Does this moment of inertia show up in tghe cpommand line?

It should do. ;) take a look at the command line after selecting the object.

Share this post


Link to post
Share on other sites
paulina.styrczula

Thank you one more time. But are you sure it is modulus of section? usually second moment of inertia is mentioned in the autocad as moemnt of inertia. but after thorougly look on the units i can say that this is section modulus.. Second question: can i use this lsp file to all of the sections?i have also TT section to determine

Share this post


Link to post
Share on other sites
paulina.styrczula

Thank you one more time. But are you sure it is modulus of section? usually second moment of inertia is mentioned in the autocad as moemnt of inertia. but after thorougly look on the units i can say that this is section modulus.. Second question: can i use this lsp file to all of the sections?i have also TT section to determine

 

EDIT: unfortunately it isnt sectoin modulus. Ive compared 'your' scores with my .It the same. whta i need is'section modulus..'

Share this post


Link to post
Share on other sites
paulina.styrczula

the results are very similar. it is not what i wanted :((

attempt.png

Share this post


Link to post
Share on other sites
lrm

Tharwart's program outputs the Moment of Inertia about the x and y axis through the centroid.  This yields the same value as provided by the massprop command.

 

I think you want the Principal Moment which is also provided by the massprop command.  I did a hand calculation assuming a rectangle (b*h^2)/6 and five round holes (pi *d^3)/32   and got a similar result to the massprop Principal Moment value.  Try it out yourself.

 

Share this post


Link to post
Share on other sites
paulina.styrczula

its once again me. i know now how to paste file without error:) it was my fault. so now ive found ths like this on thje forum , but sth like in the screen appears.So now ive stucked in one place again

 

attempt1.png

Share this post


Link to post
Share on other sites
paulina.styrczula

image.thumb.png.302aaa9447e5729b36e9234fcb87dee6.pngalso ive tried the second method as presented here. but the message  appears as below..

Bez tytułu11.jpg

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...